
import os,sys
from distutils.core import setup, Extension
from distutils.sysconfig import get_python_inc
import numpy
from numpy.distutils.fcompiler import get_default_fcompiler

numdir = os.path.dirname(numpy.__file__)+"/core/include/numpy"
pglibs = None
if "PGPLOT_DIR" in os.environ:
   if os.path.exists( os.environ["PGPLOT_DIR"]+"/makefile"):
      pgmake = open(os.environ["PGPLOT_DIR"]+"/makefile","r")
      for line in pgmake:
        if line and line.split("=")[0] == "SHARED_LIB_LIBS":
           pglibs = line.split("=")[1]
           break
      pgmake.close()
if not pglibs: raise "PGPLOT makefile not found!"
pglibs = pglibs.split()
pglibdirs = []
pglibraries = []
for w in pglibs:
  if w[:2] == "-L": pglibdirs.append(w[2:])
  elif w[:2] == "-l": pglibraries.append(w[2:])
  else: pglibraries.append(w)
#if os.environ["F77"] == "gfortran":
#  pglibraries.append("gfortran")
#  pglibraries.append("gfortranbegin")

prefix = os.environ["PYTHONBASE"]
setup(name="module-cpgplot",version="5.2",
        description="Python Interface to the C bindings of PGPLOT",
        author="Daniel D. Kelson",
        author_email="kelson@ociw.edu",
        url="http://www.ociw.edu/~kelson",
        extra_path="module-cpgplot",
        ext_modules=[Extension("cpgplot",
                ["cpgplot_wrap.c"],
                include_dirs=[numdir],
                library_dirs=[prefix+"/lib",prefix+"/lib/pgplot"]+pglibdirs,
                libraries=["cpgplot","pgplot"]+pglibraries,
                        )])

